Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232626 - Review Request: perl-MD5 - Perl interface to the MD5 Message-Digest Algorithm
Summary: Review Request: perl-MD5 - Perl interface to the MD5 Message-Digest Algorithm
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:50 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 16:45:18 UTC
panemade: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:50:28 UTC
Spec URL: http://home.bawue.de/~ixs/perl-MD5/perl-MD5.spec
SRPM URL: http://home.bawue.de/~ixs/perl-MD5/perl-MD5-2.03-1.src.rpm
Description:
This module (MD5.pm) is just a thin wrapper around the Digest::MD5
module.  It is provided so that legacy code that rely on the old
interface continue to work with the speed benefit of the new module.

Comment 1 Parag AN(पराग) 2007-03-21 04:26:44 UTC
Source URL not working
Change it to http://www.cpan.org/modules/by-module/MD5/GAAS/MD5-2.03.tar.gz

Comment 2 Parag AN(पराग) 2007-03-21 04:31:25 UTC
This module is deprecated then why you want to include it in package.
Instead fo on adding perl-Digest-MD5, I think its not yet in Fedora.

Comment 3 Andreas Thienemann 2007-03-22 09:54:44 UTC
Thanks for the correction of the URL.
perl(MD5) has been removed in favour of perl(Digest::MD5) as it is faster. This
module however is a wrapper for Digest::MD5 which provdes the perl(MD5) interface.
We do have quite some scripts in use which use perl(MD5) and thus do benefit
from this module.

Stuff like websieve, a web interface for the sieve mailfilter part of the cyrus
imap daemon is one of these scrips e.g.

Comment 4 Parag AN(पराग) 2007-03-23 03:49:15 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0957f02fc30bc2106b3286ba854917bc  MD5-2.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
236f38f0dc33163ad5dbb0181e4bf7cL_DL_NONLAZY=1 /usr/bin/perl
"-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/md5....ok
All tests successful.
Files=1, Tests=14,  0 wallclock secs ( 0.02 cusr +  0.01 csys =  0.03 CPU)
+ Provides: perl(MD5) = 2.03

APPROVED.

Comment 5 Andreas Thienemann 2007-03-23 10:06:42 UTC
New Package CVS Request
=======================
Package Name: perl-MD5
Short Description: Perl interface to the MD5 Message-Digest Algorithm
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com



Comment 6 Andreas Thienemann 2007-03-23 16:45:18 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.